<?php
/**
 * @package    jusermanager
 * @subpackage H:
 * @author     amirrezatehrani - 09123025356 {@link joomina.ir}
 * @author     Created on 29-Jul-2013
 * @license    GNU/GPL
 */

//-- No direct access
defined('_JEXEC') || die('=;)');


jimport('joomla.application.component.view');

/**
 * HTML View class for the jusermanager Component.
 *
 * @package    jusermanager
 * @subpackage Views
 */
class jusermanagerViewjusermanager extends JView
{
    /**
     * jusermanagerList view display method.
     *
     * @param string $tpl The name of the template file to parse;
     *
     * @return void
     */
    public function display($tpl = null)
    {
        // Die Daten werden bezogen
        $this->item = $this->get('Item');

        // Das Formular
        $this->form = $this->get('Form');

        // JavaScript
        $this->script = $this->get('Script');

        // Auf Fehler prüfen
        $errors = $this->get('Errors');

        if(count($errors))
        {
            JFactory::getApplication()->enqueueMessage(implode('<br />', $errors), 'error');

            return;
        }

        // Die Toolbar hinzufügen
        $this->addToolBar();

        // Das Template wird aufgerufen
        parent::display($tpl);

        // Set the document
        $this->setDocument();
    }

    //function

    /**
     * Setting the toolbar
     */
    protected function addToolBar()
    {
        JRequest::setVar('hidemainmenu', true);

        $isNew = ($this->item->id == 0);

        JToolBarHelper::title($isNew
                ? JText::_('COM_JUSERMANAGER_MANAGER_JUSERMANAGER_NEW')
                : JText::_('COM_JUSERMANAGER_MANAGER_JUSERMANAGER_EDIT')
            , 'jusermanager');

        JToolBarHelper::save('jusermanager.save');

        JToolBarHelper::cancel('jusermanager.cancel'
            , $isNew
                ? 'JTOOLBAR_CANCEL'
                : 'JTOOLBAR_CLOSE');

        // CSS Klasse für das 48x48 Icon der Toolbar
        JFactory::getDocument()->addStyleDeclaration(
            '.icon-48-jusermanager {background-image: url('
                .'components/com_jusermanager/assets/images/com_jusermanager-48.png);}'
        );
    }

    //function

    /**
     * Method to set up the document properties
     *
     * @return void
     */
    protected function setDocument()
    {
        $isNew = ($this->item->id < 1);

        $document = JFactory::getDocument();

        $document->setTitle($isNew
            ? JText::_('COM_JUSERMANAGER_JUSERMANAGER_CREATING')
            : JText::_('COM_JUSERMANAGER_JUSERMANAGER_EDITING'));

        $document->addScript(JURI::root(true).$this->script);

        $document->addScript(JURI::root(true)
            .'/administrator/components/com_jusermanager/views/jusermanager/submitbutton.js');

        JText::script('COM_JUSERMANAGER_JUSERMANAGER_ERROR_UNACCEPTABLE');
    }
    //function
}//class
